## org.jfree.xml.attributehandlers
Class FloatAttributeHandler

    java.lang.Object
      org.jfree.xml.attributehandlers.FloatAttributeHandler

All Implemented Interfaces:
  AttributeHandler

public class FloatAttributeHandler
extends java.lang.Object
implements AttributeHandler

A class that handles the conversion of `Float` attributes to and from an appropriate `String` representation.

Constructor Summary
`FloatAttributeHandler()` Creates a new attribute handler.

Method Summary
`java.lang.String` `toAttributeValue(java.lang.Object o)` Converts the attribute to a string.
`java.lang.Object` `toPropertyValue(java.lang.String s)` Converts a string to a `Float`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FloatAttributeHandler

    public FloatAttributeHandler()

  Creates a new attribute handler.

Method Detail

### toAttributeValue

    public java.lang.String toAttributeValue(java.lang.Object o)

  Converts the attribute to a string.

  Specified by:
    `toAttributeValue` in interface `AttributeHandler`
  Parameters:
    `o` - the attribute (`Float` expected).
  Returns:
    A string representing the `Float` value.

### toPropertyValue

    public java.lang.Object toPropertyValue(java.lang.String s)

  Converts a string to a `Float`.

  Specified by:
    `toPropertyValue` in interface `AttributeHandler`
  Parameters:
    `s` - the string.
  Returns:
    a `Float`.